| OpenMS 2.5.0

GNPSExport

Export MS/MS data in .MGF format for GNPS (http://gnps.ucsd.edu).

GNPS (Global Natural Products Social Molecular Networking, http://gnps.ucsd.edu) is an open-access knowledge base for community-wide organisation and sharing of raw, processed or identified tandem mass (MS/MS) spectrometry data. The GNPS web-platform makes possible to perform spectral library search against public MS/MS spectral libraries, as well as to perform various data analysis such as MS/MS molecular networking, network annotation propagation (http://journals.plos.org/ploscompbiol/article?id=10.1371/journal.pcbi.1006089), and the Dereplicator-based annotation (https://www.nature.com/articles/nchembio.2219). The GNPS manuscript is available here: https://www.nature.com/articles/nbt.3597

This tool was developed for the OpenMS-GNPS workflow. It can be accessed on GNPS (https://gnps.ucsd.edu/ProteoSAFe/static/gnps-experimental.jsp). The steps used by that workflow are as following: 1. Input mzML files 2. Run the FeatureFinderMetabo tool 3. Run the IDMapper tool 4. Run the MapAlignerPoseClustering tool 5. Run the FeautureLinkerUnlabeledKD tool 6. Run the FileConverter tool (output FeatureXML format) 7. Run the MetaboliteAdductDecharger 8. Run the GNPSExport to export an .MGF 9. Upload the .MGF file on http://gnps.ucsd.edu and follow the instructions here: https://ccms-ucsd.github.io/GNPSDocumentation/featurebasedmolecularnetworking/

The command line parameters of this tool are:

    GNPSExport -- Tool to export consensus features into MGF format

    Full documentation:

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      GNPSExport <options>

    Options (mandatory options marked with '*'):

      -in_cm <file>*                        Input file containing consensus elements with 'peptide' annotations

                                            (valid formats: 'consensusXML')

      -in_mzml <files>*                     Original mzml files containing ms/ms spectrum information (valid form

                                            ats: 'mzML')

      -out <file>*                          Output MGF file (valid formats: 'mgf')

      -output_type <choice>                 Specificity of mgf output information (default: 'full_spectra' valid:

                                            'full_spectra', 'merged_spectra')

      -precursor_mz_tolerance <num>         Tolerance mz window for precursor selection (default: '1.0e-04')

      -precursor_rt_tolerance <num>         Tolerance rt window for precursor selection (default: '5.0')

    Options for exporting mgf file with merged spectra per feature:

      -merged_spectra:cos_similarity <num>  Cosine similarity threshold for merged_spectra output (default: '0.95

                                            ')

    Common TOPP options:

      -ini <file>                           Use the given TOPP INI file

      -threads <n>                          Sets the number of threads allowed to be used by the TOPP tool (defau

                                            lt: '1')

      -write_ini <file>                     Writes the default configuration file

      --help                                Shows options

      --helphelp                            Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+GNPSExport Tool to export consensus features into MGF format
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'GNPSExport'
in_cm input file containing consensus elements with 'peptide' annotations input file*.consensusXML
in_mzml[] original mzml files containing ms/ms spectrum information input file*.mzML
out Output MGF file output file*.mgf
output_type full_spectra specificity of mgf output information full_spectra,merged_spectra
precursor_mz_tolerance 1.0e-04 Tolerance mz window for precursor selection
precursor_rt_tolerance 5.0 Tolerance rt window for precursor selection
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false
+++merged_spectra Options for exporting mgf file with merged spectra per feature
cos_similarity 0.95 Cosine similarity threshold for merged_spectra output